| mipicsiss Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
function_prototype.h File Reference

## Overview

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    X.XX  XX     YY/MM/DD
    1.00  RHe    19/09/20 Initial release.

## Functions
int | InitIIC ()
| This function writes, reads, and verifies the data to the IIC EEPROM. More...
int | AdapterWriteData (u16 ByteCount)
| This function writes a buffer of data to the Adapter IIC. More...
void | SetupIICIntrHandlers ()
| This function sets send, receive and error handlers for IIC interrupts. More...
void | SendHandler (XIic *InstancePtr)
| This Send handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been sent. More...
void | ReceiveHandler (XIic *InstancePtr)
| This Receive handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been Received. More...
void | StatusHandler (XIic *InstancePtr, int Event)
| This Status handler is called asynchronously from an interrupt context and indicates the events that have occurred. More...
void | resetIp ()
| This function resets IPs. More...
void | resetVIP ()
void | DisableDSI ()
| This function disables MIPI DSI SS. More...
void | DisableCSI ()
| This function disables MIPI CSI IP. More...
void | EnableCSI ()
| This function enables MIPI CSI IP. More...
void | InitDSI ()
| This function programs MIPI DSI SS with the required timing paramters. More...
u32 | SetupDSI (void)
| This function programs MIPI DSI SS with the required timing paramters. More...
u32 | InitializeCsiRxSs (void)
| This function programs MIPI CSI SS with the required timing paramters. More...
int | demosaic ()
| This function programs colour space converter with the given width and height. More...
void | CamReset (void)
| This function resets IMX274 camera sensor. More...
void | InitVprocSs_Scaler (int count)
| This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values. More...

## Function Documentation

int AdapterWriteData | ( | u16 | ByteCount | ) |

This function writes a buffer of data to the Adapter IIC.

Parameters

  ByteCount | contains the number of bytes in the buffer to be written.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  The Byte count should not exceed the page size of the EEPROM as noted by the constant PAGE_SIZE.

void CamReset | ( | void |  | ) |

This function resets IMX274 camera sensor.

Returns
  None.

Note
  None.

int demosaic | ( |  | ) |

This function programs colour space converter with the given width and height.

Parameters

  width | is Hsize of a packet in pixels.
  height | is number of lines of a packet.

Returns
  None.

Note
  None.

Referenced by main().

void DisableCSI | ( | void |  | ) |

This function disables MIPI CSI IP.

- This function disables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void DisableDSI | ( | void |  | ) |

This function disables MIPI DSI SS.

- This function disables MIPI DSI SS.
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void EnableCSI | ( | void |  | ) |

This function enables MIPI CSI IP.

- This function enables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void InitDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

u32 InitializeCsiRxSs | ( | void |  | ) |

This function programs MIPI CSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI CSI SS with the required timing paramters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

int InitIIC | ( | void |  | ) |

This function writes, reads, and verifies the data to the IIC EEPROM.

It does the write as a single page write, performs a buffered read.

Parameters

  None. |

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

This function writes, reads, and verifies the data to the IIC EEPROM.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

void InitVprocSs_Scaler | ( | int | count | ) |

This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values.

Parameters

  count | is a flag value to initialize IP only once.

Returns
  None.

Note
  None.

void ReceiveHandler | ( | XIic * | InstancePtr | ) |

This Receive handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been Received.

Parameters

  InstancePtr | is not used, but contains a pointer to the IIC device driver instance which the handler is being called for.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().

void resetIp | ( | void |  | ) |

This function resets IPs.

Returns
  None.

Note
  None.

References DisableCSI(), DisableDSI(), and resetVIP().

Referenced by main().

void resetVIP | ( | void |  | ) |

- * This function resets and releases IPs
  - *
    - *
      Returns
        None.
        - *
          - *
      Note
        None.
        - *

Referenced by resetIp().

void SendHandler | ( | XIic * | InstancePtr | ) |

This Send handler is called asynchronously from an interrupt context and indicates that data in the specified buffer has been sent.

Parameters

  InstancePtr | is not used, but contains a pointer to the IIC device driver instance which the handler is being called for.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().

u32 SetupDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

void SetupIICIntrHandlers | ( | void |  | ) |

This function sets send, receive and error handlers for IIC interrupts.

Returns
  None.

Note
  None.

void StatusHandler | ( | XIic * | InstancePtr,
|  | int | Event
| ) |  |

This Status handler is called asynchronously from an interrupt context and indicates the events that have occurred.

Parameters

  InstancePtr | is a pointer to the IIC driver instance for which the handler is being called for.
  Event | indicates the condition that has occurred.

Returns
  None.

Note
  None.

Referenced by SetupIICIntrHandlers().